Subject: [Tools-discuss] Infelicity in idnits

From: Elwyn Davies <[email-masked]>
Date: Fri, 26 Jan 2007 14:19:49 +0000

Hi.

I just ran idnits on a draft I am about to submit and it barfed on what 
appear to be a couple of legitimate references.

In particular it doesn't seem to like references to RFC0904 (which is 
the default anchor format used in the bibliography database for RFCs 
below 1000).

I guess the problem with the refs in the text is the format (xxx)[RFCyyyy].

Not a big deal but if it is easy to fix...

Regards,
Elwyn

idnits output:

> idnits 1.124 
>
> tmp/draft-irtf-routing-history-04.txt:
>
> tmp/draft-irtf-routing-history-04.txt(1203): Unexpected reference format: '...(EGP)[RFC0904], was...'
>   -->    Exterior Gateway Protocol (EGP)[RFC0904], was not going to cope even
>                                         ^
> tmp/draft-irtf-routing-history-04.txt(2207): Unexpected reference format: '...PSL) [RFC2622]enabl...'
>   -->    Routing Policy Specification Language (RPSL) [RFC2622]enables a
>                                                       ^
>
>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>   * The document seems to lack separate sections for Informative/Normative
>     References.
>     
>     Checking conformance with RFC 3978/3979 boilerplate...
>
>     the boilerplate looks good.
>
>
>   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
>     Nothing found here (but these checks do not cover all of
>     1id-guidelines.txt yet).
>
>   Miscellaneous warnings:
>     None.
>
>   Experimental warnings:
>   - Unused Reference: 'RFC0904' is defined on line 2012, but not referenced
>     '[RFC0904]  Mills, D., "Exterior Gateway Protocol formal specificati...'

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 26 Jan 2007 16:24:56 +0100

Hi Elwyn,

> Not a big deal but if it is easy to fix...

The problem is, as you're guessing here above, that the format with a
closing parenthesis immediately preceding the reference is unexpected.

The use of zero-filled RFC numbers should not be a problem - checking a
draft with the same text you have, but inserting a space between ")" and "["
turns out just fine.

The follow-on question is of course whether a closing parenthesis immediately
preceding the reference is reasonable; my thought is that so is the case,
but of others on the list have reservations, let's hear them.  If there are
no reservations, I'll include this tweak in the next version of idnits.

In the second case shown below, you have the word following the reference
run into the reference with no intervening space; this usage is not kosher,
I think, and I'm going to let idnits continue to be sceptical to it.

(The reason why I can't just pick up anything bracketed with "[" and "]"
 as a reference, but instead have to look at the context, is that 'anything
 goes' results in far too many false warnings about un-defined (or sometimes
 un-used) references, due to the use of brackets in formulas, diagrams
 etc...)

Regards,

	Henrik

---

From: Elwyn Davies <[email-masked]>
Date: Fri, 26 Jan 2007 16:20:45 +0000

OK.

Thanks.  I tweaked the text and idnits was pacified.  I think the 
(xxx)[RFCyyyy] format is reasonable but as you say, let's see if there 
are other views.  It's a nicety and I am not that bothered.

/Elwyn

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 26 Jan 2007 17:39:28 +0100

Henrik Levkowetz wrote:

 (foo)[bar]
> If there are no reservations, I'll include this tweak in the next
> version of idnits.

Please check the effect with RFCs 615, 721, 984, 1060, 1144, 1207,
1305, 1319, 1320, 1340, 1490, 1824, and others. 
                                   
For RFCs 787, 1294, 1580, 1700, 1866, and more it should work.

Frank

---

From: Tony Hansen <[email-masked]>
Date: Fri, 26 Jan 2007 12:37:08 -0500

I concur:
	(foo)[RFC###]
is fine, but
	[RFC###]foo
is not.

	Tony Hansen
	[email-masked]

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 26 Jan 2007 18:40:55 +0100

Hi Frank,

> For RFCs 787, 1294, 1580, 1700, 1866, and more it should work.

I checked all the ones you list, and the tweak does not cause any
differences in the results.

	Henrik

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 26 Jan 2007 21:04:37 +0100

> differences in the results.

Then I hope it works - I killed an fgrep ")[" after some minutes :-)

Unrelated, the RFC editor wrote on the "Internet history" list that
they now have an index file for all available IENs:

<http://permalink.gmane.org/gmane.culture.internet.history/650>

Frank